%global momorel 1

Summary: libmodplug - a MOD playing library
Name: libmodplug
Version: 0.7
Release: %{momorel}m
License: Public Domain
Group: System Environment/Libraries
%NoSource 0 http://keihanna.dl.sourceforge.net/sourceforge/modplug-xmms/%{name}-%{version}.tar.gz b6e7412f90cdd4a27a2dd3de94909905
URL: http://modplug-xmms.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: pkgconfig
Obsoletes: xmms-modplug <= 2.03-1m

%description
Libmodplug is the library behind -- Modplug-XMMS is a fully featured,
complete input plugin for XMMS which plays mod-like music formats. It
is based on the mod rendering code from ModPlug, a popular windows mod
player written by Olivier Lapicque, found at http://www.modplug.com

%package devel
Group: Development/Libraries
Summary: Header files for compiling against Modplug library.
Provides:	%{name}-devel = %{version}
Requires:	%{name} = %{version}

%description devel
This is the development package of libmodplug. Install it if you want to
compile programs using this library.

%prep
%setup -q -n %{name}-%{version}


%build

%configure
%make

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
%{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog COPYING NEWS TODO
%{_libdir}/%{name}.so*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}.la
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Nov 11 2003 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.7-1m)
- Initial specfile.
